Package org.eclipse.birt.core.framework

# Class PlatformServletContext

java.lang.Object
org.eclipse.birt.core.framework.PlatformServletContext

All Implemented Interfaces:
  `IPlatformContext`

public class PlatformServletContext extends Object implements IPlatformContext
An platform context that is based on resource operations instead of file operations. Since in web environment WAR deployment, absolute file path is not available, user must use resource operations instead of file operations. In this case, user should use this PlatformContext or develop his own PlatformContext to make sure no file operations are used.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Logger`
`log`
`protected PlatformConfig`
`platformConfig`

## Constructor Summary

Constructors
Constructor
Description
`PlatformServletContext(javax.servlet.ServletContext context)`
`PlatformServletContext(javax.servlet.ServletContext context, String urlLeadingString)`
Deprecated.
since 2.1

## Method Summary

Modifier and Type
Method
Description
`String`
`getPlatform()`
return the folder of the platform.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

protected static Logger log

### platformConfig

protected PlatformConfig platformConfig

## Constructor Details

### PlatformServletContext

@Deprecated public PlatformServletContext(javax.servlet.ServletContext context, String urlLeadingString)
Deprecated.
since 2.1

Parameters:
  `context` -
  `urlLeadingString` -

### PlatformServletContext

public PlatformServletContext(javax.servlet.ServletContext context)

## Method Details

### getPlatform

public String getPlatform()
Description copied from interface: `IPlatformContext`
return the folder of the platform.

Specified by:
  `getPlatform` in interface `IPlatformContext`
Returns:
  the folder represent the root of the platform.